/*************************************************************************
 * asset-ident.h
 *
 * Matt Shelton	<matt@mattshelton.com>
 *
 * This header file contains information relating to the asset-ident.c
 * module.
 *
 * Copyright (C) 2004 Matt Shelton <matt@mattshelton.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: asset-ident.h,v 1.13 2004/09/30 22:25:50 mattshelton Exp $
 *
 **************************************************************************/

/* INCLUDES ---------------------------------------- */
#include <stdio.h>
#include <signal.h>

#ifdef BSD
#include <sys/socket.h>
#include <net/if.h>
#include <netinet/in_systm.h>
#include <sys/socket.h>
#endif

#ifdef FREEBSD
#include <sys/socket.h>
#include <net/if.h>
#include <netinet/in_systm.h>
#include <sys/socket.h>
#endif

#include <netinet/in.h>
#include <netinet/if_ether.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>

#include "global.h"


/* PROTOTYPES -------------------------------------- */
int read_sig_file();
int tcp_ident (struct in_addr ip_addr, u_int16_t port, char *payload, int plen);
int pcre_match (struct in_addr ip_addr, u_int16_t port, unsigned short proto, const char *payload, int plen);
char *get_app_name (struct asset_signature *sig, const char *payload, int *ovector, int rc);
void free_signature (void);

#ifdef DEBUG
void print_signature();
#endif /* DEBUG */

/* GLOBALS ----------------------------------------- */
